Bug 227550 - net-mgmt/ocsinventory-ng: update to 2.5 with new port ocsreport
Summary: net-mgmt/ocsinventory-ng: update to 2.5 with new port ocsreport
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2018-04-16 12:17 UTC by geoffroy desvernay
Modified: 2018-08-30 18:26 UTC (History)
3 users (show)

See Also:


Attachments
svn diff net-mgmt/ocsinventory-ng to 2.4.1 (49.72 KB, patch)
2018-04-16 12:17 UTC, geoffroy desvernay
no flags Details | Diff
snv diff of new net-mgmt/ocsinventory-ocsreports (37.87 KB, patch)
2018-04-16 13:08 UTC, geoffroy desvernay
no flags Details | Diff
svn diff for new port net-mgmt/ocsinventory-ocsreports 2.5 (44.27 KB, patch)
2018-08-18 08:29 UTC, Kurt Jaeger
no flags Details | Diff
patch-to-2.5 (47.64 KB, patch)
2018-08-18 08:36 UTC, Kurt Jaeger
no flags Details | Diff
svn diff net-mgmt/ocsinventory-{server,ng,ocsreports} MOVED (102.49 KB, patch)
2018-08-28 08:52 UTC, geoffroy desvernay
dgeo: maintainer-approval+
Details | Diff
svn diff net-mgmt/ocsinventory-server MOVED (49.59 KB, patch)
2018-08-29 09:32 UTC, geoffroy desvernay
dgeo: maintainer-approval+
Details | Diff
svn diff net-mgmt/ocsinventory-ocsreports (new port) (44.45 KB, patch)
2018-08-29 09:33 UTC, geoffroy desvernay
dgeo: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description geoffroy desvernay 2018-04-16 12:17:15 UTC
Created attachment 192557 [details]
svn diff net-mgmt/ocsinventory-ng to 2.4.1

https://github.com/OCSInventory-NG/UnixAgent/blob/v2.4.1/Changes
Comment 1 geoffroy desvernay 2018-04-16 13:07:15 UTC
I changed the port to use github.

"ocsreports" is packages separetely now, so I'll propose a new port net-mgmt/ocsinventory-ocsreports here to replace existing fonctionnality.
Comment 2 geoffroy desvernay 2018-04-16 13:08:28 UTC
Created attachment 192559 [details]
snv diff of new net-mgmt/ocsinventory-ocsreports
Comment 3 Kurt Jaeger freebsd_committer 2018-08-13 19:15:16 UTC
Fernando Apesteguía <fernando.apesteguia@gmail.com>

submitted

https://people.freebsd.org/~fernape/patches/ocsinventory.svndiff

as an update to 2.5 (builds, but does not like php7 ?).
Comment 4 Kurt Jaeger freebsd_committer 2018-08-18 08:29:28 UTC
Created attachment 196314 [details]
svn diff for new port net-mgmt/ocsinventory-ocsreports 2.5

testbuilds are fine
Comment 5 Kurt Jaeger freebsd_committer 2018-08-18 08:36:59 UTC
Created attachment 196315 [details]
patch-to-2.5

testbuilds look ok
Comment 6 Mikael Urankar freebsd_committer 2018-08-18 11:54:30 UTC
(In reply to Kurt Jaeger from comment #4)
Do we really need these files?
%%WWWDIR%%/.github/Contributing.md
%%WWWDIR%%/.github/ISSUE_TEMPLATE.md
%%WWWDIR%%/.github/PULL_REQUEST_TEMPLATE.md
%%WWWDIR%%/.gitignore
Comment 7 Mikael Urankar freebsd_committer 2018-08-18 11:58:59 UTC
(In reply to Kurt Jaeger from comment #5)
Is it possible to rename the ports ocsinventory-server (to match upstream)?
Maintainer is set to ports@ while it's set to dgeo@ for ocs-reports.
Comment 8 Kurt Jaeger freebsd_committer 2018-08-18 18:54:07 UTC
I've changed it so that -ng becomes -server. Pending feedback from geoffroy,
who's on holiday until next week.
Comment 10 Mikael Urankar freebsd_committer 2018-08-20 07:56:54 UTC
(In reply to Kurt Jaeger from comment #5)
The server part doesn't require php.
Comment 11 geoffroy desvernay 2018-08-28 08:52:26 UTC
Created attachment 196631 [details]
svn diff net-mgmt/ocsinventory-{server,ng,ocsreports} MOVED

Split, upgrade and rename port, upgrade to 2.5, add MOVED

Tested here in production.

New ports: 
- net-mgmt/ocsinventory-ocsreports
- net-mgmt/ocsinventory-server

Deleted: net-mgmt/ocsinventory-ng
Comment 12 geoffroy desvernay 2018-08-28 09:01:52 UTC
Seems I can't "obsolete" Kurt's patches, but the last one include all others.
Just tell me if I should split these...
Comment 13 geoffroy desvernay 2018-08-29 09:32:06 UTC
Created attachment 196670 [details]
svn diff net-mgmt/ocsinventory-server MOVED

To apply after svn mv net-mgmt/ocsinventory-ng net-mgmt/ocsinventory-server
Comment 14 geoffroy desvernay 2018-08-29 09:33:39 UTC
Created attachment 196671 [details]
svn diff net-mgmt/ocsinventory-ocsreports (new port)
Comment 15 commit-hook freebsd_committer 2018-08-30 18:20:48 UTC
A commit references this bug:

Author: pi
Date: Thu Aug 30 18:19:52 UTC 2018
New revision: 478479
URL: https://svnweb.freebsd.org/changeset/ports/478479

Log:
  New port: net-mgmt/ocsinventory-ocsreports

  Webconsole for OCS Inventory NG

  WWW: http://www.ocsinventory-ng.org/en/

  PR:		227550
  Submitted by:	dgeo@centrale-marseille.fr
  Reviewed by:	mikael.urankar@gmail.com

Changes:
  head/net-mgmt/Makefile
  head/net-mgmt/ocsinventory-ocsreports/
  head/net-mgmt/ocsinventory-ocsreports/Makefile
  head/net-mgmt/ocsinventory-ocsreports/distinfo
  head/net-mgmt/ocsinventory-ocsreports/files/
  head/net-mgmt/ocsinventory-ocsreports/files/apache.conf.in
  head/net-mgmt/ocsinventory-ocsreports/files/pkg-message.in
  head/net-mgmt/ocsinventory-ocsreports/pkg-descr
  head/net-mgmt/ocsinventory-ocsreports/pkg-plist
Comment 16 commit-hook freebsd_committer 2018-08-30 18:24:54 UTC
A commit references this bug:

Author: pi
Date: Thu Aug 30 18:23:48 UTC 2018
New revision: 478481
URL: https://svnweb.freebsd.org/changeset/ports/478481

Log:
  net-mgmt/ocsinventory-server: update 2.1.2 -> 2.5, renamed from -ng

  PR:		227550
  Submitted by:	Geoffroy Desvernay <dgeo@centrale-marseille.fr> (maintainer), fernando.apesteguia@gmail.com
  Reviewed by:	mikael.urankar@gmail.com
  Relnotes:	https://github.com/OCSInventory-NG/OCSInventory-ocsreports/releases

Changes:
  head/MOVED
  head/net-mgmt/Makefile
  head/net-mgmt/ocsinventory-ng/
  head/net-mgmt/ocsinventory-server/
  head/net-mgmt/ocsinventory-server/Makefile
  head/net-mgmt/ocsinventory-server/distinfo
  head/net-mgmt/ocsinventory-server/files/pkg-message.in
  head/net-mgmt/ocsinventory-server/pkg-plist
Comment 17 Kurt Jaeger freebsd_committer 2018-08-30 18:25:59 UTC
(In reply to mikael.urankar from comment #6)
Well, I forgot to check for those four files. Needs to be fixed with the
next update. Sorry!
Comment 18 Kurt Jaeger freebsd_committer 2018-08-30 18:26:21 UTC
Committed, thanks!